NAME

OpenAPI::Client::OpenAI::Path::skills - Documentation for the /skills path.

OPERATIONS

GET /skills

ListSkills

$client->list_skills({
    body => { ... },
});

List all skills for the current project.

Path/query parameters

  • limit (in query, optional, integer) - Number of items to retrieve

  • order (in query, optional, string) - Sort order of results by timestamp. Use asc for ascending order or desc for descending order.

  • after (in query, optional, string) - Identifier for the last item from the previous pagination request

Responses

200 - Success

Content-Type: application/json

Example:

{
   "data" : [
      {
         "created_at" : 0,
         "default_version" : "string",
         "description" : "string",
         "id" : "string",
         "latest_version" : "string",
         "name" : "string",
         "object" : "skill"
      }
   ],
   "first_id" : "string",
   "has_more" : false,
   "last_id" : "string",
   "object" : "list"
}

POST /skills

CreateSkill

$client->create_skill({
    body => { ... },
});

Create a new skill.

Responses

200 - Success

Content-Type: application/json

Example:

{
   "created_at" : 0,
   "default_version" : "string",
   "description" : "string",
   "id" : "string",
   "latest_version" : "string",
   "name" : "string",
   "object" : "skill"
}

SCHEMAS

CreateSkillBody

Properties:

  • files (oneOf, required)

SkillListResource

Properties:

  • data (array of SkillResource, required) - A list of items

  • first_id (anyOf, required)

  • has_more (boolean, required) - Whether there are more items available.

  • last_id (anyOf, required)

  • object (string, required) - The type of object returned, must be list .

    Allowed values: list

    Default: list

SkillResource

Properties:

  • created_at (integer, required) - Unix timestamp (seconds) for when the skill was created.

  • default_version (string, required) - Default version for the skill.

  • description (string, required) - Description of the skill.

  • id (string, required) - Unique identifier for the skill.

  • latest_version (string, required) - Latest version for the skill.

  • name (string, required) - Name of the skill.

  • object (string, required) - The object type, which is skill .

    Allowed values: skill

    Default: skill

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.